# Barry::BadPackedFormat Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::BadPackedFormat:

[legend]
Collaboration diagram for Barry::BadPackedFormat:

[legend]

List of all members.

## Detailed Description

Thrown by record classes that don't recognize a given packed format code.

This exception is mostly handled internally, but is published here just in case it escapes.

Definition at line 182 of file error.h.

The documentation for this class was generated from the following file:

- error.h